edu.ucsb.nceas.metacat

## Class DBDTDHandler

- java.lang.Object
- - edu.ucsb.nceas.metacat.DBDTDHandler

- All Implemented Interfaces:
    org.xml.sax.DTDHandler

      public class DBDTDHandler
      extends java.lang.Object
      implements org.xml.sax.DTDHandler

  A database aware Class implementing DTDHandler interface for the SAX parser to call when processing the XML stream and intercepting notations and unparsed entities

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DBDTDHandler(DBConnection conn)` Construct an instance of the DBDTDHandler clas

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `notationDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId)` Notation declarations are not signaled
    `void` | `unparsedEntityDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId, java.lang.String notationName)` All are reported after startDocument and before first startElement event

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DBDTDHandler

          public DBDTDHandler(DBConnection conn)

      Construct an instance of the DBDTDHandler clas
      Parameters:
        `conn` - the JDBC connection to which information is written

  - ### Method Detail

    - #### notationDecl

          public void notationDecl(java.lang.String name,
                                   java.lang.String publicId,
                                   java.lang.String systemId)
                            throws org.xml.sax.SAXException

      Notation declarations are not signaled
      Specified by:
        `notationDecl` in interface `org.xml.sax.DTDHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### unparsedEntityDecl

          public void unparsedEntityDecl(java.lang.String name,
                                         java.lang.String publicId,
                                         java.lang.String systemId,
                                         java.lang.String notationName)
                                  throws org.xml.sax.SAXException

      All are reported after startDocument and before first startElement event
      Specified by:
        `unparsedEntityDecl` in interface `org.xml.sax.DTDHandler`
      Throws:
        `org.xml.sax.SAXException`

Copyright © 2023 Regents of the University of California. All Rights Reserved.